版本升级

2.0升级到2.0.3版本

升级流程:

  1. 下载解压2.0.3版本到新安装目录,例如/opt/emqttd-2.0.3/;
  2. 旧版本的’etc/’配置文件、’data/’数据文件覆盖到新版目录;
  3. 停止旧版本,启动新版。

升级到2.0版本

注解

2.0版本全新设计了项目架构、配置方式与插件管理方式。1.x版本升级需要重新配置部署。

升级流程:

  1. 下载解压2.0版本到新安装目录,例如/opt/emqttd-2.0/
  2. 参考旧版本etc/vm.args、etc/emqttd.config,配置2.0版本的etc/emq.conf
  3. 重新配置插件etc/plugins/${your-plugin}.conf
  4. 编辑插件加载文件data/loaded_plugins
  5. 停止旧版本,启动新版。

升级到1.1.2版本

升级到1.1.2版本

注解

1.0以后版本可平滑升级到1.1.2

升级流程:

  1. 下载解压1.1.2版本到新安装目录,例如/opt/emqttd_112;
  2. 旧版本的’etc/’配置文件、’data/’数据文件覆盖到新版目录;
  3. 如果有加载插件,将旧版插件配置文件覆盖到新版;
  4. 停止旧版本,启动新版。